io.undertow.server.handlers.proxy.mod_cluster

## Class MCMPConfig.Builder

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig.Builder

Direct Known Subclasses:
  MCMPConfig.WebBuilder

Enclosing class:
  MCMPConfig

    public static class MCMPConfig.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MCMPConfig` `build()`
`HttpHandler` `create(ModCluster modCluster, HttpHandler next)`
`MCMPConfig.AdvertiseBuilder` `enableAdvertise()`
`MCMPConfig.Builder` `setManagementHost(String managementHost)`
`MCMPConfig.Builder` `setManagementPort(int managementPort)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### setManagementHost

    public MCMPConfig.Builder setManagementHost(String managementHost)

#### setManagementPort

    public MCMPConfig.Builder setManagementPort(int managementPort)

#### enableAdvertise

    public MCMPConfig.AdvertiseBuilder enableAdvertise()

#### build

    public MCMPConfig build()

#### create

    public HttpHandler create(ModCluster modCluster,
                              HttpHandler next)